import { Localytics as LocalyticsDef, plain, CircularRegion, Customer, InboxCampaign, AnalyticsListener, MessagingListener } from '.';
declare class LocalyticsAndroid implements LocalyticsDef {
    private static readonly LOG_TAG;
    private static readonly inboxCampaignCache;
    private static readonly inAppCampaignCache;
    private static readonly pushCampaignCache;
    private static readonly placesCampaignCache;
    private static analyticsListener;
    private static messagingListener;
    static integrate(): void;
    static autoIntegrate(): void;
    static upload(): void;
    static pauseDataUploading(pause: boolean): void;
    static openSession(): void;
    static closeSession(): void;
    static setOptedOut(enabled: boolean): void;
    static isOptedOut(): boolean;
    static setPrivacyOptedOut(enabled: boolean): void;
    static isPrivacyOptedOut(): boolean;
    static tagEvent(event: string, attributes?: plain, customerValueIncrease?: number): void;
    static tagPurchased(itemName?: string, itemId?: string, itemType?: string, itemPrice?: number, attributes?: plain): void;
    static tagAddedToCart(itemName?: string, itemId?: string, itemType?: string, itemPrice?: number, attributes?: plain): void;
    static tagStartedCheckout(totalPrice?: number, itemCount?: number, attributes?: plain): void;
    static tagCompletedCheckout(totalPrice?: number, itemCount?: number, attributes?: plain): void;
    static tagContentViewed(contentName?: string, contentId?: string, contentType?: string, attributes?: plain): void;
    static tagSearched(queryText?: string, contentType?: string, resultCount?: number, attributes?: plain): void;
    static tagShared(contentName?: string, contentId?: string, contentType?: string, methodName?: string, attributes?: plain): void;
    static tagContentRated(contentName?: string, contentId?: string, contentType?: string, rating?: string, attributes?: plain): void;
    static tagCustomerRegistered(customer?: Customer, methodName?: string, attributes?: plain): void;
    static tagCustomerLoggedIn(customer?: Customer, methodName?: string, attributes?: plain): void;
    static tagCustomerLoggedOut(attributes?: plain): void;
    static tagInvited(methodName?: string, attributes?: plain): void;
    static tagInAppImpression(campaignId: number, action: 'click' | 'dismiss' | string): void;
    static tagInboxImpression(campaignId: number, action: 'click' | 'dismiss' | string): void;
    static tagPushToInboxImpression(campaignId: number, success: boolean): void;
    static tagPlacesPushReceived(campaignId: number): void;
    static tagPlacesPushOpened(campaignId: number, action?: string): void;
    static tagScreen(screen: string): void;
    static setCustomDimension(index: number, value: string): void;
    static getCustomDimension(index: string): string;
    static setAnalyticsListener(listener: AnalyticsListener): void;
    static removeAnalyticsListener(): void;
    static setProfileAttribute(name: string, value: string, scope: 'app' | 'org'): void;
    static addProfileAttributesToSet(name: string, value: string[], scope: 'app' | 'org'): void;
    static removeProfileAttributesFromSet(name: string, value: string[], scope: 'app' | 'org'): void;
    static incrementProfileAttribute(name: string, value: number, scope: 'app' | 'org'): void;
    static decrementProfileAttribute(name: string, value: number, scope: 'app' | 'org'): void;
    static deleteProfileAttribute(name: string, scope: string): void;
    static setCustomerEmail(email: string): void;
    static setCustomerFirstName(firstName: string): void;
    static setCustomerLastName(lastName: string): void;
    static setCustomerFullName(fullName: string): void;
    static getIdentifier(key: string): string;
    static setIdentifier(key: string, value: string): void;
    static getCustomerId(): string;
    static setCustomerId(id: string): void;
    static setCustomerIdWithPrivacyOptedOut(id: string, enabled: boolean): void;
    static setLocation(latitude: number, longitude: number): void;
    static registerPush(): void;
    static setPushToken(pushToken: string): void;
    static getPushToken(): string;
    static setPushMessageConfiguration(config: plain): void;
    static setTestModeEnabled(enabled: boolean): void;
    static isTestModeEnabled(): boolean;
    static setInAppMessageDismissButtonImageWithName(imageName: string): void;
    static setInAppMessageDismissButtonHidden(hidden: boolean): void;
    static setInAppMessageDismissButtonLocation(buttonLocation: 'left' | 'right'): void;
    static getInAppMessageDismissButtonLocation(): 'left' | 'right';
    static triggerInAppMessage(triggerName: string, attributes: plain): void;
    static triggerInAppMessagesForSessionStart(): void;
    static dismissCurrentInAppMessage(): void;
    static setInAppMessageConfiguration(config: plain): void;
    static isInAppAdIdParameterEnabled(): boolean;
    static setInAppAdIdParameterEnabled(enabled: boolean): void;
    static isInboxAdIdParameterEnabled(): boolean;
    static setInboxAdIdParameterEnabled(enabled: boolean): void;
    static getDisplayableInboxCampaigns(): Array<InboxCampaign>;
    static getAllInboxCampaigns(): Array<InboxCampaign>;
    static refreshInboxCampaigns(): Promise<Array<InboxCampaign>>;
    static refreshAllInboxCampaigns(): Promise<Array<InboxCampaign>>;
    static setInboxCampaignRead(campaignId: number, read: boolean): void;
    static deleteInboxCampaign(campaignId: number): void;
    static getInboxCampaignsUnreadCount(): number;
    static inboxListItemTapped(campaignId: number): void;
    static triggerPlacesNotification(campaignId: number): void;
    static setPlacesMessageConfiguration(config: plain): void;
    static setMessagingListener(listener: MessagingListener): void;
    static removeMessagingListener(): void;
    static setLocationMonitoringEnabled(enabled: boolean): void;
    static getGeofencesToMonitor(latitude: number, longitude: number): Array<CircularRegion>;
    static triggerRegion(region: CircularRegion, event: 'enter' | 'exit', latitude: number, longitude: number): void;
    static triggerRegions(regions: Array<CircularRegion>, event: 'enter' | 'exit', latitude: number, longitude: number): void;
    static setLocationListener(listener: any): void;
    static removeLocationListener(): void;
    static setCallToActionListener(listener: any): void;
    static removeCallToActionListener(): void;
    static setLoggingEnabled(enabled: boolean): void;
    static isLoggingEnabled(): boolean;
    static setOptions(options: plain): void;
    static setOption(key: string, value: string | null): void;
    static redirectLogsToDisk(writeExternally: boolean): void;
    static getInstallId(): string;
    static getAppKey(): string;
    static getLibraryVersion(): string;
    private static updateInboxCampaignCache();
}
export { LocalyticsAndroid as Localytics };
