"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var LocalyticsIOS = (function () {
    function LocalyticsIOS() {
    }
    LocalyticsIOS.integrate = function () {
        var appKey = NSBundle.mainBundle.objectForInfoDictionaryKey('LocalyticsAppKey');
        Localytics.integrateWithLocalyticsOptions(appKey, null);
    };
    LocalyticsIOS.autoIntegrate = function () {
        var appKey = NSBundle.mainBundle.objectForInfoDictionaryKey('LocalyticsAppKey');
        Localytics.autoIntegrateWithLocalyticsOptionsLaunchOptions(appKey, null, null);
    };
    LocalyticsIOS.upload = function () {
        Localytics.upload();
    };
    LocalyticsIOS.pauseDataUploading = function (pause) {
        Localytics.pauseDataUploading(pause);
    };
    LocalyticsIOS.openSession = function () {
        Localytics.openSession();
    };
    LocalyticsIOS.closeSession = function () {
        Localytics.closeSession();
    };
    LocalyticsIOS.setOptedOut = function (enabled) {
        Localytics.setOptedOut(enabled);
    };
    LocalyticsIOS.isOptedOut = function () {
        return Localytics.isOptedOut();
    };
    LocalyticsIOS.setPrivacyOptedOut = function (enabled) {
        Localytics.setPrivacyOptedOut(enabled);
    };
    LocalyticsIOS.isPrivacyOptedOut = function () {
        return Localytics.isPrivacyOptedOut();
    };
    LocalyticsIOS.tagEvent = function (event, attributes, customerValueIncrease) {
        var attr = attributes ? NSDictionary.dictionaryWithDictionary(attributes) : null;
        Localytics.tagEventAttributesCustomerValueIncrease(event, attr, customerValueIncrease);
    };
    LocalyticsIOS.tagPurchased = function (itemName, itemId, itemType, itemPrice, attributes) {
        var attr = attributes ? NSDictionary.dictionaryWithDictionary(attributes) : null;
        Localytics.tagPurchasedItemIdItemTypeItemPriceAttributes(itemName, itemId, itemType, itemPrice, attr);
    };
    LocalyticsIOS.tagAddedToCart = function (itemName, itemId, itemType, itemPrice, attributes) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagStartedCheckout = function (totalPrice, itemCount, attributes) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagCompletedCheckout = function (totalPrice, itemCount, attributes) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagContentViewed = function (contentName, contentId, contentType, attributes) {
        var attr = attributes ? NSDictionary.dictionaryWithDictionary(attributes) : null;
        Localytics.tagContentViewedContentIdContentTypeAttributes(contentName, contentId, contentType, attr);
    };
    LocalyticsIOS.tagSearched = function (queryText, contentType, resultCount, attributes) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagShared = function (contentName, contentId, contentType, methodName, attributes) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagContentRated = function (contentName, contentId, contentType, rating, attributes) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagCustomerRegistered = function (customer, methodName, attributes) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagCustomerLoggedIn = function (customer, methodName, attributes) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagCustomerLoggedOut = function (attributes) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagInvited = function (methodName, attributes) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagInAppImpression = function (campaignId, action) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagInboxImpression = function (campaignId, action) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagPushToInboxImpression = function (campaignId, success) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagPlacesPushReceived = function (campaignId) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagPlacesPushOpened = function (campaignId, action) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.tagScreen = function (screen) {
        Localytics.tagScreen(screen);
    };
    LocalyticsIOS.setCustomDimension = function (index, value) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.getCustomDimension = function (index) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setAnalyticsListener = function (listener) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.removeAnalyticsListener = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setProfileAttribute = function (name, value, scope) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.addProfileAttributesToSet = function (name, value, scope) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.removeProfileAttributesFromSet = function (name, value, scope) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.incrementProfileAttribute = function (name, value, scope) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.decrementProfileAttribute = function (name, value, scope) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.deleteProfileAttribute = function (name, scope) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setCustomerEmail = function (email) {
        Localytics.setCustomerEmail(email);
    };
    LocalyticsIOS.setCustomerFirstName = function (firstName) {
        Localytics.setCustomerFirstName(firstName);
    };
    LocalyticsIOS.setCustomerLastName = function (lastName) {
        Localytics.setCustomerLastName(lastName);
    };
    LocalyticsIOS.setCustomerFullName = function (fullName) {
        Localytics.setCustomerFullName(fullName);
    };
    LocalyticsIOS.getIdentifier = function (key) {
        return Localytics.valueForIdentifier(key);
    };
    LocalyticsIOS.setIdentifier = function (key, value) {
        Localytics.setValueForIdentifier(value, key);
    };
    LocalyticsIOS.getCustomerId = function () {
        return Localytics.customerId();
    };
    LocalyticsIOS.setCustomerId = function (id) {
        Localytics.setCustomerId(id);
    };
    LocalyticsIOS.setCustomerIdWithPrivacyOptedOut = function (id, enabled) {
        Localytics.setCustomerIdPrivacyOptedOut(id, enabled);
    };
    LocalyticsIOS.setLocation = function (latitude, longitude) {
        var location = new CLLocationCoordinate2D();
        location.latitude = latitude;
        location.longitude = longitude;
        Localytics.setLocation(location);
    };
    LocalyticsIOS.registerPush = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setPushToken = function (pushToken) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.getPushToken = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setPushMessageConfiguration = function (config) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setTestModeEnabled = function (enabled) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.isTestModeEnabled = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setInAppMessageDismissButtonImageWithName = function (imageName) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setInAppMessageDismissButtonHidden = function (hidden) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setInAppMessageDismissButtonLocation = function (buttonLocation) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.getInAppMessageDismissButtonLocation = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.triggerInAppMessage = function (triggerName, attributes) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.triggerInAppMessagesForSessionStart = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.dismissCurrentInAppMessage = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setInAppMessageConfiguration = function (config) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.isInAppAdIdParameterEnabled = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setInAppAdIdParameterEnabled = function (enabled) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.isInboxAdIdParameterEnabled = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setInboxAdIdParameterEnabled = function (enabled) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.getDisplayableInboxCampaigns = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.getAllInboxCampaigns = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.refreshInboxCampaigns = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.refreshAllInboxCampaigns = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setInboxCampaignRead = function (campaignId, read) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.deleteInboxCampaign = function (campaignId) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.getInboxCampaignsUnreadCount = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.inboxListItemTapped = function (campaignId) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.triggerPlacesNotification = function (campaignId) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setPlacesMessageConfiguration = function (config) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setMessagingListener = function (listener) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.removeMessagingListener = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setLocationMonitoringEnabled = function (enabled) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.getGeofencesToMonitor = function (latitude, longitude) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.triggerRegion = function (region, event, latitude, longitude) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.triggerRegions = function (regions, event, latitude, longitude) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setLocationListener = function (listener) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.removeLocationListener = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setCallToActionListener = function (listener) { throw new Error('Not yet implemented'); };
    LocalyticsIOS.removeCallToActionListener = function () { throw new Error('Not yet implemented'); };
    LocalyticsIOS.setLoggingEnabled = function (enabled) {
        Localytics.setLoggingEnabled(enabled);
    };
    LocalyticsIOS.isLoggingEnabled = function () {
        return Localytics.isLoggingEnabled();
    };
    LocalyticsIOS.setOptions = function (options) {
        Localytics.setOptions(NSDictionary.dictionaryWithDictionary(options));
    };
    LocalyticsIOS.setOption = function (key, value) {
        Localytics.setOptions(NSDictionary.dictionaryWithDictionary((_a = {}, _a[key] = value, _a)));
        var _a;
    };
    LocalyticsIOS.redirectLogsToDisk = function (writeExternally) {
        Localytics.redirectLoggingToDisk();
    };
    LocalyticsIOS.getInstallId = function () {
        return Localytics.installId();
    };
    LocalyticsIOS.getAppKey = function () {
        return Localytics.appKey();
    };
    LocalyticsIOS.getLibraryVersion = function () {
        return Localytics.libraryVersion();
    };
    return LocalyticsIOS;
}());
exports.Localytics = LocalyticsIOS;
//# sourceMappingURL=localytics.ios.js.map